- Fix SUBVERSION string to handle x.x.x version number formats.
authorBill Wendling <isanbard@gmail.com>
Mon, 27 Oct 2008 23:31:24 +0000 (23:31 +0000)
committerBill Wendling <isanbard@gmail.com>
Mon, 27 Oct 2008 23:31:24 +0000 (23:31 +0000)
- Add VERBOSE=1 flag.
- Specify the LLVM_SUBMIT_VERSION when doing the "make install".
  The libLTO.dylib relies upon this flag during that time.

git-svn-id: https://llvm.org/svn/llvm-project/llvm/trunk@58298 91177308-0d34-0410-b5e6-96231b3b80d8

utils/buildit/build_llvm

index 6b83477e2cbf4ec2e6ac80d0094207b0d4309707..09baca09ec3488e9d5fc408c68e9c22d0e4998d7 100755 (executable)
@@ -89,7 +89,7 @@ if [ \! -f Makefile.config ]; then
         || exit 1
 fi
 
-SUBVERSION=`echo $RC_ProjectSourceVersion | sed -e 's/.*\.//'`
+SUBVERSION=`echo $RC_ProjectSourceVersion | sed -e 's/[^.]*\.\([0-9]*\).*/\1/'`
 
 if [ "x$SUBVERSION" != "x$RC_ProjectSourceVersion" ]; then
     LLVM_SUBMIT_SUBVERSION=`printf "%02d" $SUBVERSION`
@@ -138,7 +138,8 @@ fi
 make $JOBS_FLAG $OPTIMIZE_OPTS UNIVERSAL=1 UNIVERSAL_ARCH="$TARGETS" \
     LLVM_SUBMIT_VERSION=$LLVM_SUBMIT_VERSION \
     LLVM_SUBMIT_SUBVERSION=$LLVM_SUBMIT_SUBVERSION \
-    CXXFLAGS="-DLLVM_VERSION_INFO='\" Apple Build #$LLVM_VERSION\"'"
+    CXXFLAGS="-DLLVM_VERSION_INFO='\" Apple Build #$LLVM_VERSION\"'" \
+    VERBOSE=1
 
 if ! test $? == 0 ; then
     echo "error: LLVM 'make' failed!"
@@ -158,7 +159,9 @@ cd $DIR/obj-llvm || exit 1
 
 # Install the tree into the destination directory.
 make $LOCAL_MAKEFLAGS $OPTIMIZE_OPTS UNIVERSAL=1 UNIVERSAL_ARCH="$TARGETS" \
-    OPTIMIZE_OPTION='-O2' install
+    LLVM_SUBMIT_VERSION=$LLVM_SUBMIT_VERSION \
+    LLVM_SUBMIT_SUBVERSION=$LLVM_SUBMIT_SUBVERSION \
+    OPTIMIZE_OPTION='-O2' VERBOSE=1 install
 
 if ! test $? == 0 ; then
     echo "error: LLVM 'make install' failed!"